Skip to main content

Create a database

Create a new database under an existing service. Requires a valid Database entity in the request body.

Request Body — REQUIRED

Database entity to create.

id string — REQUIRED
name string — REQUIRED
displayName string
datastoreId string — REQUIRED
description string
location string
config object
json string
version string
active boolean
assetCreatedDate date-time
assetUpdatedDate date-time
createdTime int64
updatedTime int64
createdBy string
updatedBy string
owner string
tags string[]
Responses
201

Database created successfully.

Schema — OPTIONAL
id string
name string
displayName string — OPTIONAL
datastoreId string
description string — OPTIONAL
location string — OPTIONAL
config object — OPTIONAL
json string — OPTIONAL
version string — OPTIONAL
active boolean — OPTIONAL
assetCreatedDate date-time — OPTIONAL
assetUpdatedDate date-time — OPTIONAL
createdTime int64 — OPTIONAL
updatedTime int64 — OPTIONAL
createdBy string — OPTIONAL
updatedBy string — OPTIONAL
owner string — OPTIONAL
tags string[] — OPTIONAL
400

Bad request. Invalid input or missing required fields.

401

Unauthorized access.

500

Internal server error.